package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/2
 */
public class VipGroupBuyParamsDto {

    @ApiModelProperty(value = "vip课程ID")
    private Long vipGroupId;

    @ApiModelProperty(value = "付款渠道")
    private String paymentChannel;

    @ApiModelProperty(value = "业务渠道")
    private String paymentBusinessChannel;

    @ApiModelProperty(value = "是否使用账户余额支付")
    private boolean isUseBalancePayment;

    @ApiModelProperty(value = "是否重新支付")
    private boolean isRepeatPay;

    public boolean isRepeatPay() {
        return isRepeatPay;
    }

    public void setRepeatPay(boolean repeatPay) {
        isRepeatPay = repeatPay;
    }

    public boolean isUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setUseBalancePayment(boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    private Integer userId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getPaymentBusinessChannel() {
        return paymentBusinessChannel;
    }

    public void setPaymentBusinessChannel(String paymentBusinessChannel) {
        this.paymentBusinessChannel = paymentBusinessChannel;
    }
}
